Page MenuHomePhabricator

Make TranslationsUpdateJob JSON-serializable
Closed, ResolvedPublic

Description

Kafka-based JobQueue doesn't use PHP serialization as there's a general move towards eliminating it from the codebase (T161647), so the TranslationsUpdateJob has to use JSON-serialization and instantiate any classes it was PHP-serializing when executing.

Event Timeline

Pchelolo triaged this task as High priority.Apr 12 2018, 8:47 PM
Pchelolo created this task.

Change 428917 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Refactor TranslationUpdateJob to use only primitive types for parameters

https://gerrit.wikimedia.org/r/428917

Change 428917 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Refactor TranslationUpdateJob to use only primitive types for parameters

https://gerrit.wikimedia.org/r/428917

Etonkovidova closed this task as Resolved.May 3 2018, 4:37 AM
Petar.petkovic moved this task from QA to Done on the Language-2018-Apr-June board.May 3 2018, 7:40 AM
mobrovac reopened this task as Open.May 3 2018, 8:32 AM

Reopening until this code is live in production. @Nikerabbit could you perhaps SWAT it today or Monday to speed up the process? Thnx!

Sorry, this slipped my mind yesterday. How important is it to speed this up? My concern is that the patch might not be simple nor low risk (nor easy to confirm) as required for SWAT deployments.

Sorry, this slipped my mind yesterday. How important is it to speed this up? My concern is that the patch might not be simple nor low risk (nor easy to confirm) as required for SWAT deployments.

We'd need this ASAP. Once it is deployed on the wikis, it should be monitored for a while. If it turns out that it needs to be reverted, it can be done outside of SWAT windows.

Change 431744 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@wmf/1.32.0-wmf.2] Refactor TranslationUpdateJob to use only primitive types for parameters

https://gerrit.wikimedia.org/r/431744

Change 431744 merged by jenkins-bot:
[mediawiki/extensions/Translate@wmf/1.32.0-wmf.2] Refactor TranslationUpdateJob to use only primitive types for parameters

https://gerrit.wikimedia.org/r/431744

Mentioned in SAL (#wikimedia-operations) [2018-05-08T13:42:22Z] <zfilipin@tin> Synchronized php-1.32.0-wmf.2/extensions/Translate: SWAT: [[gerrit:431744|Refactor TranslationUpdateJob to use only primitive types for parameters (T192111)]] (duration: 01m 11s)

@mobrovac Done.

The job is broken on test.wikipedia.org for unrelated reason. On MediaWiki.org I re-marked one page for testing purposes and it worked: https://www.mediawiki.org/w/index.php?title=At-ease/de&diff=2776172&oldid=2595342&diffmode=source (+no errors in LogStash).

mobrovac closed this task as Resolved.May 8 2018, 3:35 PM

Thank you @Nikerabbit ! Resolving for now, let's reopen it if we see them start failing.